set nocompatible
filetype on
filetype indent on
filetype plugin on
set laststatus=2
syntax on
set backspace=indent,eol,start
set ignorecase

"using tabcharacter with a width of 4 columns as indent.
""set tabstop=4
"set softtabstop=4
""set shiftwidth=4
"set noexpandtab
"
""using 4 spaces as indent
set tabstop=4
set softtabstop=0
set expandtab
set shiftwidth=4
"set smarttab

